@media (max-width: 1600px) {
    .footer__menu ul {
        grid-template-columns: 1fr 1fr;
    }

    .container {
        width: 1200px;
    }

    .social {
        right: 20px;
        top: unset;
        bottom: 20px;
    }

    .social a {
        width: 35px;
        height: 35px;
    }

    .banner__inner {
        background: none;
        padding: 120px 0 200px 0;
    }

    .banner__items {
        right: -100px;
        gap: 8px;
    }

    .banner {
        background: url(../image/first-banner.png) no-repeat;
        background-size: contain;
        background-position: right;
    }

    .digit__wrapper {
        display: grid;
        grid-template-columns: repeat(3, 250px);
        gap: 25px;
    }

    .footer .container {
        gap: 30px;
    }

    .footer__menu ul {
        gap: 15px 20px;
    }

    .footer__btn {
        height: 50px;
        width: 200px;
    }

    .get__inner {
        width: 100%;
    }

    .footer__logo {
        width: 100px;
    }
}

@media (max-width: 1435px) {
    .banner__items {
        right: -50px;
    }
}

@media (max-width: 1320px) {
    .banner__inner {
        padding: 64px 0;
    }

    .banner {
        margin: 0 0 80px 0;
    }

    .banner__items {
        position: unset;
        flex-direction: row;
        flex-wrap: wrap;
        margin: 0 0 10px 0;
        width: 75%;
    }

    .banner__items li {
        padding: 5px 10px 5px 40px;
        border-radius: 20px;
        background: #f5f5f5;
    }

    .banner__items li:before {
        left: 10px;
    }

    .banner__subtitle {
        margin: 0 0 30px 0;
    }

    .card__links {
        width: 100%;
    }
}

@media (max-width: 1260px) {
    .container {
        width: 100%;
        padding: 0 30px;
    }

    .header > .container {
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
        height: auto;
    }

    .about {
        background-position: -150px;
    }
}

@media (max-width: 1120px) {
    .digit .container {
        flex-direction: column;
    }

    .digit__title {
        text-align: center;
        margin: 0 0 30px 0;
    }

    .digit {
        padding: 50px 0;
        background-size: cover;
        height: auto;
    }

    .about {
        background-position: -190px;
    }

    .banner {
        background-size: 450px;
    }

    .account__wrapper {
        grid-template-columns: repeat(3, calc(33% - 15px));
        gap: 30px;
    }
}

@media (max-width: 1024px) {
    .card {
        margin: 0 0 80px 0;
    }

    .get__title {
        margin: 0 0 40px 0;
    }

    .account__title {
        margin: 0 0 40px 0;
    }

    .start__title {
        margin: 0 0 40px 0;
    }

    .get {
        margin: 0 0 80px 0;
    }

    .digit {
        margin: 0 0 80px 0;
    }

    .start {
        margin: 0 0 80px 0;
    }

    .about {
        margin: 0 0 80px 0;
        background-position: -350px;
    }

    .account {
        margin: 0 0 80px 0;
    }

    .account__wrapper li {
        padding: 20px;
    }

    .account__wrapper {
        gap: 20px;
    }

    .account__wrapper img {
        width: 80px;
    }

    .banner__inner {
        padding: 30px 0 0 0;
    }

    .title {
        font-size: 40px;
        line-height: 48px;
    }

    .banner__title {
        margin: 0 0 24px 0;
    }

    .banner__subtitle {
        margin: 0 0 24px 0;
    }

    .get__inner {
        grid-template-columns: 1fr;
        gap: 30px;
    }

    .get__item {
        padding: 20px;
        min-height: unset;
    }

    .about__inner {
        width: 600px;
    }

    .card__links a {
        grid-column: span 2;
    }

    .footer__contacts {
        display: none;
    }
}

@media (max-width: 924px) {
    .modal__inner {
        padding: 40px;
    }

    .modal__title {
        font-size: 38px;
        line-height: 44px;
        margin: 0 0 30px 0;
    }

    .modal__close {
        top: 15px;
        right: 15px;
    }

    .modal__form input[type="submit"] {
        width: 240px;
        height: 55px;
    }

    .modal__form input[type="text"] {
        width: 100%;
    }

    .modal__form input[type="tel"] {
        width: 100%;
    }

    .digit__wrapper {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .account__wrapper {
        grid-template-columns: 1fr 1fr;
        margin: 0 0 40px 0;
    }

    .account__wrapper li {
        height: auto;
        padding: 20px 20px 100px 20px;
    }

    .banner {
        background-position: bottom;
        padding: 30px 0 300px 0;
        margin: 0;
    }

    .banner__items {
        width: 100%;
    }

    .banner__inner {
        padding: 0;
    }

    .about {
        background-image: none;
    }

    .about__inner {
        width: 100%;
    }

    .callback__form input[type="tel"] {
        width: 250px;
    }

    .callback__form {
        gap: 20px;
    }

    .callback__form .btn {
        padding: 0 25px;
    }
}

@media (max-width: 768px) {
    .footer {
        padding: 50px 0;
    }

    .footer .container {
        flex-direction: column;
    }

    .footer__contacts {
        display: flex;
    }

    .container {
        padding: 0 15px;
    }

    .title {
        font-size: 36px;
        line-height: 44px;
    }

    .banner__title br {
        display: none;
    }

    .banner__desc p br {
        display: none;
    }

    .header > .container {
        display: none;
    }

    .header__contacts a.header__mail {
        display: none;
    }

    .header__signin {
        display: none;
    }

    .header__burger {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        background: #1c2828;
        border: none;
        width: 40px;
        height: 40px;
        cursor: pointer;
        padding: 5px;
        border-radius: 5px;
    }

    .header__burger img {
        width: 100%;
    }

    .start__steps {
        flex-wrap: wrap;
        gap: 40px;
        width: 100%;
        padding: 0 40px;
        margin: 0 0 40px 0;
    }

    .start__steps li {
        width: 100%;
        text-align: left;
    }

    .start__steps li:not(:last-child):before {
        content: "";
        height: 1px;
        width: 100%;
        position: absolute;
        bottom: -20px;
        background: #dddddd;
    }

    .callback__form input[type="tel"] {
        width: 180px;
    }

    .callback__form .btn {
        padding: 0 15px;
    }
}

@media (max-width: 640px) {
    .modal__inner {
        padding: 40px 20px;
        width: 95%;
    }
    
    .card__links a {
        grid-column: span 4 !important;
    }

    .callback__form {
        flex-wrap: wrap;
        width: 100%;
    }

    .callback__form input[type="tel"] {
        width: 100%;
        height: 60px;
    }

    .callback__form .btn {
        margin: 0 auto;
    }
}

@media (max-width: 480px) {
    .header__logo {
        width: 80px;
    }

    .header__contacts a {
        padding: 0 0 0 20px;
    }

    .header__contacts a:before {
        width: 15px;
        height: 15px;
    }

    .modal__subtitle {
        font-size: 18px;
        line-height: 24px;
    }

    .modal__close {
        top: 10px;
        right: 10px;
    }

    .modal__form input[type="submit"] {
        width: 100%;
    }

    .footer__menu ul {
        grid-template-columns: 1fr;
    }

    .digit__wrapper {
        grid-template-columns: 1fr;
    }

    .account__wrapper {
        grid-template-columns: 1fr;
    }

    .get__wrapper {
        grid-template-columns: 1fr;
    }

    .get__item img {
        margin: 0 0 10px 0;
    }

    .get {
        margin: 0 0 50px 0;
    }

    .start__steps {
        padding: 0 25px;
    }

    .account__wrapper img {
        width: 60px;
        top: 15px;
    }

    .account__wrapper li {
        padding: 15px 90px 15px 15px;
        min-height: 90px;
    }

    .callback__form .btn {
        width: 100%;
        padding: 0 5px;
        white-space: normal;
    }
}

@media (max-width: 380px) {
    .container {
        padding: 0 10px;
    }

    .banner__items {
        gap: 8px;
    }

    .banner__items li {
        padding: 5px 5px 5px 28px;
        font-size: 12px;
        line-height: 16px;
    }

    .banner__items li:before {
        width: 18px;
        height: 18px;
        left: 5px;
    }

    .menu {
        right: -100%;
        width: 100%;
    }
    
    .menu.active {
        right: 0;
    }
}